from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetAnnotation(XInterface, Protocol):
    def getPosition(self) -> CellAddress: ...
    def getAuthor(self) -> str: ...
    def getDate(self) -> str: ...
    def getIsVisible(self) -> bool: ...
    def setIsVisible(self, bIsVisible: bool) -> None: ...
